"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Cookies = __importStar(require("js-cookie"));
const AbstractStorage_1 = __importDefault(require("./AbstractStorage"));
const utils_1 = require("../utils");
class StorageCookie extends AbstractStorage_1.default {
    constructor(config) {
        super(config);
        this.storage = Cookies.withAttributes(Object.assign({ path: '/' }, config));
    }
    // TODO: handle expires in setItem
    setItem(key, value) {
        this.storage.set(key, value);
    }
    // TODO: handle expired in getItem
    getItem(key) {
        return this.storage.get(key);
    }
    removeItem(key) {
        this.storage.remove(key);
    }
    static isSupported() {
        try {
            Cookies.set(utils_1.TEST_STORAGE.KEY, utils_1.TEST_STORAGE.VALUE);
            const value = Cookies.get(utils_1.TEST_STORAGE.KEY);
            Cookies.remove(utils_1.TEST_STORAGE.KEY);
            return value === utils_1.TEST_STORAGE.VALUE;
        }
        catch (ignore) {
            return false;
        }
    }
}
exports.default = StorageCookie;
//# sourceMappingURL=StorageCookie.js.map