"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const browser_monads_ts_1 = require("browser-monads-ts");
const AbstractStorage_1 = __importDefault(require("./AbstractStorage"));
const utils_1 = require("../utils");
const STORAGE_TYPE = 'localStorage';
class StorageLocal extends AbstractStorage_1.default {
    constructor(config) {
        super(config);
        // TODO: handle expires in setItem
        this.setItem = (key, value) => {
            this.storage.setItem(key, value);
        };
        // TODO: handle expired in getItem
        this.getItem = (key) => {
            return this.storage.getItem(key);
        };
        this.removeItem = (key) => {
            this.storage.removeItem(key);
        };
        this.storage = browser_monads_ts_1.window[STORAGE_TYPE];
    }
    static isSupported() {
        return (0, utils_1.testBrowserStorage)(STORAGE_TYPE);
    }
}
exports.default = StorageLocal;
//# sourceMappingURL=StorageLocal.js.map